import time

import adapay

# 创建订单请求
adapay.private_key_path = 'your private key path'
adapay.public_key_path = 'your public key path'
adapay.api_key = 'api_key'

order_no = '2019010112000' + str(int(time.time()))
charge = adapay.Charge.create(order_no='order_no',
                              app_id='your app_id',
                              pay_channel='alipay_qr',
                              amount='100.00',
                              currency='cny',
                              subject='subject',
                              body='body',
                              # -------以上为必填参数，以下为非必填参数-------
                              description='description',
                              time_expire='30000101000000',
                              device_info={'device_type': '4',
                                           # 非无线局域网ip
                                           'device_ip': '127.0.0.1',
                                           'device_mac': 'B0-83-FE-9B-F4-EE',
                                           'device_imei': 'device_imei',
                                           'device_imsi': 'device_imsi',
                                           'device_iccId': 'device_iccId',
                                           'device_wifi_mac': 'device_wifi_mac',
                                           'device_gps': 'device_gps'},
                              extra={'promotion_detail': {'cost_price': '100.00',
                                                          'receipt_id': '1',
                                                          'goods_detail': [{'goods_id': '123',
                                                                            'goods_name': 'ipad',
                                                                            'quantity': '1',
                                                                            'price': '100.00',
                                                                            'goods_category': 'goods_category',
                                                                            'goods_body': 'goods_body',
                                                                            'show_url': 'http://xxx.xxx.xxx'}]
                                                          }
                                     }
                              )
# 其余字段请参考 api-site 文档
# https://docs.adapay.tech/api/04-trade.html#id2
if charge.status == 'succeeded':
    print('charge 对象获取成功')

else:
    print('charge 对象获取失败')

# extra 说明：
# 反扫业务时（pay_channel 以 scan 结尾）extra 是一个选填字段，以下必填是指当需要传 extra 时，对应字段必填
# 不同 pay_channel 与 extra 的对应关系示例
# 当 pay_channel 为 alipay_qr/alipay/alipay_wap
alipay_common_extra = {'promotion_detail':
    {
        # 选填
        'receipt_id': '1',
        # 以下皆必填
        'cost_price': '100.00',
        'goods_detail':  # dict，list 皆可
            {
                # 以下必填
                'goods_id': '123',
                'goods_name': 'ipad',
                'quantity': '1',
                'price': '100.00',
                # 以下选填
                'goods_category': 'goods_category',
                'goods_body': 'goods_body',
                'show_url': 'http://xxx.xxx.xxx'}
    }
}

# alipay_lite：
alipay_lite_extra = {'buyer_id': 'alipay_id',  # 必填
                     # 选填
                     'buyer_logon_id': 'alipay_login_id',
                     'promotion_detail': {'cost_price': '100.00',
                                          'receipt_id': '1',
                                          'goods_detail': [{'goods_id': '123',
                                                            'goods_name': 'ipad',
                                                            'quantity': '1',
                                                            'price': '100.00',
                                                            'goods_category': 'goods_category',
                                                            'goods_body': 'goods_body',
                                                            'show_url': 'http://xxx.xxx.xxx'}]}
                     }

# wx_pub/wx_lite:
wx_common_extra = {
    # 必填
    'open_id': 'open_id',
    'wx_app_id': 'wx_app_id',
    'is_raw': '0',
    # 选填
    'limit_pay': '1',
    'callback_url': 'wwww.baidu.com',
    'promotion_detail': {'cost_price': '100.00',
                         'receipt_id': '1',
                         'goods_detail': {'goods_id': '123',
                                          'goods_name': 'ipad',
                                          'quantity': '1',
                                          'price': '100.00',
                                          'goods_category': 'goods_category',
                                          'goods_body': 'goods_body',
                                          'show_url': 'http://xxx.xxx.xxx'}
                         }
}
