import adapay
from adapay.pay_message import AdapayMessage

adapay.private_key_path = 'your private key path'
adapay.public_key_path = 'your public key path'
adapay.api_key = 'api_key'

# 必须先初始化才能正确后续的方法
AdapayMessage.init()


def on_connected(resp_code):
    if resp_code == 0:
        print('长连接建立成功')
    else:
        print('长连接建立失败')


def on_subscribe(resp_code):
    if resp_code == 0:
        print('消息订阅成功')
    else:
        print('消息订阅失败')


# 获取长连接及订阅状态回调方法，可以不设置，这里建议设置以便于实时监听连接状态
AdapayMessage.set_subscribe_callback(connect_callback=on_connected, subscribe_callback=on_subscribe)


# 获取到消息内容回调方法
# 具体数据格式请参考 https://docs.adapay.tech/api/06-webhook.html#id7
def on_message_receiced(message_dict):
    print(message_dict['type'])
    print('on_message_receive:' + str(message_dict))


# 开启订阅消息任务 建议在服务启动就开始监听，保证建立长连接始终能获取到异步交易结果
AdapayMessage.subscribe(on_message_receiced)
